Package ghidra.app.util.bin.format.pe.cli.streams

# Class CliStreamGuid

java.lang.Object
ghidra.app.util.bin.format.pe.cli.streams.CliAbstractStream
ghidra.app.util.bin.format.pe.cli.streams.CliStreamGuid

All Implemented Interfaces:
  `PeMarkupable`, `StructConverter`

public class CliStreamGuid extends CliAbstractStream
The GUID stream points to a sequence of 128-bit GUIDs. There might be unreachable GUIDs stored in the stream.

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.pe.cli.streams.CliAbstractStream

  `header, offset, PATH, reader, rva`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliStreamGuid(CliStreamHeader header, long offset, int rva, BinaryReader reader)`
  Creates a new GUID stream.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GUID`
  `getGuid(int index)`
  Gets the GUID at the given index.
  `static String`
  `getName()`
  Gets the name of this stream.
  `boolean`
  `parse()`
  Parses this stream.
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class ghidra.app.util.bin.format.pe.cli.streams.CliAbstractStream

  `getStreamHeader, getStreamMarkupAddress, markup`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CliStreamGuid

    public CliStreamGuid(CliStreamHeader header, long offset, int rva, BinaryReader reader) throws IOException
    Creates a new GUID stream.
    Parameters:
      `header` - The stream header associated with this stream.
      `offset` - The reader offset where this stream starts.
      `rva` - The relative virtual address where this stream starts.
      `reader` - A reader that is used to read the stream.
    Throws:
      `IOException` - if there is a problem reading the stream.

- ## Method Details

  - ### getName

    public static String getName()
    Gets the name of this stream.
    Returns:
      The name of this stream.

  - ### parse

    public boolean parse() throws IOException
    Description copied from class: `CliAbstractStream`
    Parses this stream.
    Specified by:
      `parse` in class `CliAbstractStream`
    Returns:
      True if parsing completed successfully; otherwise, false.
    Throws:
      `IOException` - If there was an IO problem while parsing.

  - ### getGuid

    public GUID getGuid(int index)
    Gets the GUID at the given index.
    Parameters:
      `index` - The index of the GUID to get.
    Returns:
      The string at the given index. Could be null if the index was invalid or there was a problem reading the GUID.

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException`
    See Also:
      - `StructureDataType`